<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC
    "-//Hibernate/Hibernate Mapping DTD 2.0//EN"
    "http://hibernate.sourceforge.net/hibernate-mapping-2.0.dtd">
<hibernate-mapping package="com.eplugger.shop.channel.model">
  <class name="AdContent"
    table="ad"
    dynamic-update="false">
    <id name="id" column="id">
        <generator class="uuid.hex"/>
    </id>
    <property name="name" type="string" column="name"/>
   <property name="status" type="boolean" column="status"/>
    <property name="category" type="string" column="category"/>
    <property name="displayName" type="string" column="display_name"/>
    <property name="content" type="string" column="content"/>
    <property name="viewType" type="string" column="viewtype"/>
    <property name="width" type="int" column="width"/>
    <property name="height" type="int" column="height"/>
    <property name="createTime" type="string" column="create_time"/>
  </class>
  <class name="AdCategory"
    table="adcategory"
    dynamic-update="false">
    <id name="id" column="id">
        <generator class="uuid.hex"/>
    </id>
    <property name="name" type="string" column="name"/>
    <property name="defaultType" type="string" column="default_type"/>
    <property name="defaultWidth" type="int" column="default_width"/>
    <property name="defaultHeight" type="int" column="default_height"/>
  </class>
  <class name="Channel" table="channel" dynamic-update="false">
    <id name="id" column="id">
        <generator class="assigned"/>
    </id>
    <property name="channelZhName" type="string" column="channel_zh_name"/>
    <property name="channelEnName" type="string" column="channel_en_name"/>
    <property name="cssId" type="string" column="css_id"/>
    <property name="pageName" type="string" column="page_name"/>
    <property name="jspModelId" type="string" column="jsp_model_id"/>
    <property name="linkUrl" type="string" column="linkurl"/>
    <property name="status" type="boolean" column="channel_status"/>
    <property name="pageType" type="string" column="pagetype"/>
    <property name="rowIndex" type="int" column="rowindex"/>
    <property name="colIndex" type="int" column="colindex"/>
    <property name="enableStatus" type="boolean" column="enable_status"/>
    <property name="isdefault" type="boolean" column="isdefault"/>
    <property name="description" type="string" column="description"/>
    <property name="parentId" type="string" column="parent_channel_id"/>
  </class>
  <class name="ChannelProductCategory" table="channel_product_category" dynamic-update="false">
    <id name="id" column="id">
        <generator class="uuid.hex"/>
    </id>
    <property name="channelId" type="string" column="channel_id"/>
    <property name="categoryId" type="string" column="category_id"/>
    <property name="categoryName" type="string" column="category_name"/>
    <property name="navImage" type="string" column="nav_image"/>
    <property name="navText" type="string" column="nav_text"/>
    <property name="configId" type="string" column="config_id"/>
    <property name="popProduct" type="string" column="pop_product"/>
    <property name="rows" type="int" column="rows"/>
    <property name="pageSearchKey" type="string" column="page_search_key"/>
    <property name="position" type="int" column="page_position"/>
    <property name="display" type="boolean" column="display"/>
    <property name="productAdId" type="string" column="product_ad_id"/>
    <property name="textAdId" type="string" column="text_ad_id"/>
  </class>
  <class name="ChannelAd" table="channelad" dynamic-update="false">
    <id name="id" column="id">
        <generator class="uuid.hex"/>
    </id>
    <property name="channelId" type="string" column="channel_id"/>
    <property name="adId" type="string" column="ad_id"/>
    <property name="configId" type="string" column="config_id"/>
    <property name="category" type="string" column="category"/>
    <property name="position" type="int" column="page_position"/>
    <property name="display" type="boolean" column="display"/>
    <property name="pageSearchKey" type="string" column="page_search_key"/>
  </class>
  <class name="ChannelContent" table="channelcontent" dynamic-update="false">
    <id name="id" column="id">
        <generator class="uuid.hex"/>
    </id>
    <property name="channelId" type="string" column="channel_id"/>
    <property name="concategoryId" type="string" column="concategory_id"/>
    <property name="configId" type="string" column="config_id"/>
    <property name="display" type="boolean" column="display"/>
    <property name="position" type="int" column="page_position"/>
   <property name="rows" type="int" column="rows"/>
    <property name="navText" type="string" column="nav_text"/>
    <property name="navImage" type="string" column="nav_image"/>
    <property name="contentAdId" type="string" column="content_ad_id"/>
    <property name="pageSearchKey" type="string" column="page_search_key"/>
  </class>
  <class name="ChannelCss" table="channel_css" dynamic-update="false">
    <id name="id" column="id">
        <generator class="assigned"/>
    </id>
    <property name="cssName" type="string" column="css_name"/>
    <property name="fileName" type="string" column="file_name"/>
    <property name="jspModelId" type="string" column="jsp_model_Id"/>
    <property name="isDefault" type="boolean" column="is_default"/>
    <property name="productlistCss" type="string" column="productlist_css"/>
    <property name="productDetailCss" type="string" column="productdetail_css"/>
  </class>
  <class name="ChannelJspModel" table="channel_jsp_model" dynamic-update="false">
    <id name="id" column="id">
        <generator class="assigned"/>
    </id>
    <property name="fileName" type="string" column="file_name"/>
    <property name="modelName" type="string" column="model_name"/>
    <property name="isDefault" type="boolean" column="is_default"/>
  </class>
  <class name="ChannelJspModelConfig" table="channel_jsp_model_config" dynamic-update="false">
    <id name="id" column="id">
        <generator class="uuid.hex"/>
    </id>
    <property name="modelId" type="string" column="model_id"/>
    <property name="contentType" type="string" column="content_type"/>
    <property name="pageViewKey" type="string" column="page_view_key"/>
    <property name="pagePosition" type="int" column="page_position"/>
    <property name="contentName" type="string" column="content_name"/>
    <property name="listIndex" type="int" column="list_index"/>
    <property name="defaultRow" type="int" column="default_row"/>
    <property name="isneed" type="boolean" column="isneed"/>
  </class>
</hibernate-mapping>
